# Uses of Interface
org.opensaml.xacml.ctx.StatusCodeType

Packages that use StatusCodeType
Package
Description
org.opensaml.xacml.ctx
XMLObject interfaces for XACML context schema.
org.opensaml.xacml.ctx.impl
XMLObject implementations for XACML context schema.

## Uses of StatusCodeType in org.opensaml.xacml.ctx

Methods in org.opensaml.xacml.ctx that return StatusCodeType
Modifier and Type
Method
Description
`StatusCodeType`
StatusCodeType.`getStatusCode()`
Gets the status code.
`StatusCodeType`
StatusType.`getStatusCode()`
Gets the status code of status.
Methods in org.opensaml.xacml.ctx with parameters of type StatusCodeType
Modifier and Type
Method
Description
`void`
StatusCodeType.`setStatusCode(StatusCodeType code)`
Sets the status code.
`void`
StatusType.`setStatusCode(StatusCodeType newStatusCode)`
Sets the status code for the Status.

## Uses of StatusCodeType in org.opensaml.xacml.ctx.impl

Classes in org.opensaml.xacml.ctx.impl that implement StatusCodeType
Modifier and Type
Class
Description
`class`
`StatusCodeTypeImpl`
Concrete implementation of `StatusCodeType`.
Fields in org.opensaml.xacml.ctx.impl declared as StatusCodeType
Modifier and Type
Field
Description
`private StatusCodeType`
StatusCodeTypeImpl.`statusCode`
Sub status code.
`private StatusCodeType`
StatusTypeImpl.`statusCode`
Status code.
Methods in org.opensaml.xacml.ctx.impl that return StatusCodeType
Modifier and Type
Method
Description
`StatusCodeType`
StatusCodeTypeImplBuilder.`buildObject()`
Builds a XACMLObject using the default name and namespace information provided XACML specifications.
`StatusCodeType`
StatusCodeTypeImplBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`StatusCodeType`
StatusCodeTypeImpl.`getStatusCode()`
Gets the status code.
`StatusCodeType`
StatusTypeImpl.`getStatusCode()`
Gets the status code of status.
Methods in org.opensaml.xacml.ctx.impl with parameters of type StatusCodeType
Modifier and Type
Method
Description
`void`
StatusCodeTypeImpl.`setStatusCode(StatusCodeType code)`
Sets the status code.
`void`
StatusTypeImpl.`setStatusCode(StatusCodeType newStatusCode)`
Sets the status code for the Status.